#include <stdio.h>

int main() {
    int N;
    scanf("%d",&N);

    int n=N, cnt=0;
    while(n!=0) {
        cnt++;
        n /=10;
    }

    int start = N - 9*cnt < 1 ? 1 : N - 9*cnt;
    for(int i=start; i<N; i++) {
        int res_sum=0, num = i;
        while(num!=0) {
            res_sum += num%10;
            num/=10;
        }
        res_sum += i;

        if(res_sum==N) {
            printf("%d\n",i);
            return 0;
        }
    }    

    printf("0\n");

    return 0;
}